> For the complete documentation index, see [llms.txt](https://developer.harness.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.harness.io/api-reference/security-testing-agent-apis/security-testing-orchestration/issues.md).

# Issues

Access and modify Security Issues

## GET /api/v2/issues

> List a collection of Security Issues

```json
{"openapi":"3.0.3","info":{"title":"Harness Security Test Orchestration API","version":"1.0.0"},"tags":[{"name":"Issues","description":"Access and modify Security Issues"}],"servers":[{"url":"https://app.harness.io/gateway/sto"},{"url":"http://127.0.0.1:4000"}],"security":[{"X-Api-Key_header_X-Api-Key":[],"jwt_header_Authorization":["sto_issue_view"]}],"components":{"securitySchemes":{"X-Api-Key_header_X-Api-Key":{"type":"apiKey","name":"X-Api-Key","in":"header"},"jwt_header_Authorization":{"type":"http","scheme":"bearer"}},"schemas":{"IssuesListIssuesResponseBody":{"type":"object","properties":{"pagination":{"$ref":"#/components/schemas/Pagination"},"results":{"type":"array","items":{"$ref":"#/components/schemas/Issue"}}},"required":["results","pagination"]},"Pagination":{"type":"object","properties":{"link":{"type":"string","description":"Link-based paging"},"page":{"type":"integer","description":"Page number (starting from 0)","format":"int64"},"pageSize":{"type":"integer","description":"Requested page size","format":"int64"},"totalItems":{"type":"integer","description":"Total results available","format":"int64"},"totalPages":{"type":"integer","description":"Total pages available","format":"int64"}},"required":["page","pageSize","totalPages","totalItems"]},"Issue":{"type":"object","properties":{"baseImageName":{"type":"string","description":"base image name of the issue"},"baselineVariantId":{"type":"string","description":"The Baseline Target Variant related to this Security Issue","pattern":"^[a-zA-Z0-9_-]{22}$"},"created":{"type":"integer","description":"Unix timestamp at which the resource was created","format":"int64"},"currentStatus":{"type":"string","description":"Current status of the Exemption","enum":["Pending","Approved","Rejected","Expired"]},"details":{"type":"object","description":"Issue details common to all occurrences","additionalProperties":true},"epssLastModified":{"type":"string","description":"Last date the issue EPSS data was last modified"},"epssPercentile":{"type":"number","description":"EPSS percentile of the issue CVE identifier","format":"double"},"epssScore":{"type":"number","description":"EPSS score of the issue CVE identifier","format":"double"},"exemptionCoverage":{"type":"string","description":"Indicates if the Security Issue was found to be Exempted or PartiallyExempted."},"exemptionId":{"type":"string","description":"ID of Security Test Exemption","pattern":"^[a-zA-Z0-9_-]{22}$"},"exemptionStatusAtScan":{"type":"string","description":"Exemption's status at the Security Scan created time","enum":["Pending","Approved","Rejected","Expired"]},"exploitability":{"type":"string","description":"Exploitability status of the issue (yes or no)"},"fallbackSeverityCode":{"type":"string","description":"Issue-table severity code used as occurrence fallback at read time; omitted from API responses","enum":["Critical","High","Medium","Low","Info","Unassigned"]},"gracePeriodDays":{"type":"integer","description":"Issue-level grace period rollup in days. Only populated when scan honorGracePeriod is enabled.","format":"int64"},"harnessAugmentation":{"type":"object","description":"Harness Augmentation details","additionalProperties":true},"id":{"type":"string","description":"Resource identifier","pattern":"^[a-zA-Z0-9_-]{22}$"},"inGrace":{"type":"boolean","description":"True when the displayed severity is grace-sheltered: at the display-max severity band, all non-exempt occurrences are in grace. Only populated when scan honorGracePeriod is enabled."},"key":{"type":"string","description":"Compression/deduplication key","maxLength":512},"numOccurrences":{"type":"integer","description":"Indicates the number of Occurrences on the Issue","format":"int32"},"occurrenceId":{"type":"integer","format":"int64","minimum":1},"occurrences":{"type":"array","items":{"type":"object","additionalProperties":true},"description":"Array of details unique to each occurrence"},"originStatus":{"type":"string","description":"The status of the origin, either 'approved' or 'unapproved'"},"origins":{"type":"array","items":{"type":"string"},"description":"The origins of the issue"},"overrides":{"type":"array","items":{"$ref":"#/components/schemas/OverrideResult"},"description":"List of issue overrides"},"overridesAtScan":{"type":"array","items":{"$ref":"#/components/schemas/OverrideResult"},"description":"List of issue overrides at scan time"},"productId":{"type":"string","description":"The scan tool that identified this Security Issue","pattern":"^[a-zA-Z0-9_-]{22}$"},"reachability":{"type":"string","description":"Reachability status of the issue (reachable or unreachable)"},"severity":{"type":"number","description":"Numeric severity, from 0 (lowest) to 10 (highest)","format":"float"},"severityCode":{"type":"string","description":"Severity code","enum":["Critical","High","Medium","Low","Info","Unassigned"]},"status":{"type":"string","description":"Indicates if the Security Issue was found to be remediated, ignored, etc.","enum":["Remediated","Compensating Controls","Acceptable Use","Acceptable Risk","False Positive","Fix Unavailable","Exempted"]},"subproduct":{"type":"string","description":"The subproduct that identified this Security Issue"},"targetId":{"type":"string","description":"The Target that this Security Issue affects","pattern":"^[a-zA-Z0-9_-]{22}$"},"targetName":{"type":"string","description":"The Name of the Target that this Security Issue affects","pattern":"^[a-zA-Z0-9_-]{22}$"},"targetType":{"type":"string","description":"The type of the Target that this Security Issue affects","enum":["container","repository","instance","configuration"]},"targetVariantId":{"type":"string","description":"The Target Variant that this Security Issue affects","pattern":"^[a-zA-Z0-9_-]{22}$"},"targetVariantName":{"type":"string","description":"Name of the associated Target and Variant","pattern":"^[a-zA-Z0-9_-]{22}$"},"title":{"type":"string","description":"Title of the Security Issue","maxLength":128},"type":{"type":"string","description":"The type of vulnerability or quality issue for this Issue","enum":["SAST","DAST","SCA","IAC","SECRET","MISCONFIG","BUG_SMELLS","CODE_SMELLS","CODE_COVERAGE","EXTERNAL_POLICY"]}},"description":"Information about a Security Issue","required":["title","key","severity","severityCode","productId","details","id","created"]},"OverrideResult":{"type":"object","properties":{"created":{"type":"integer","description":"Unix timestamp at which the resource was created","format":"int64"},"fieldName":{"type":"string","description":"Name of the field that is being overridden"},"impactedTargetId":{"type":"string","description":"ID of the impacted target"},"originalFieldValue":{"type":"string","description":"Original value of the field that is being overridden"},"overrideFieldValue":{"type":"string","description":"Value of the field that is being overridden","maxLength":1024},"overrideId":{"type":"string","description":"Override Id of the override"},"reason":{"type":"string","description":"Text describing why this override is necessary","maxLength":1024},"requesterEmail":{"type":"string","description":"Email of the user who requested this Exemption"},"requesterId":{"type":"string","description":"User ID of the user who requested the override"},"requesterName":{"type":"string","description":"Name of the user who requested this Exemption"}},"required":["fieldName","originalFieldValue","overrideFieldValue","reason","created"]},"NotFound":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","default":404,"format":"int64"}},"required":["message"]}}},"paths":{"/api/v2/issues":{"get":{"tags":["Issues"],"description":"List a collection of Security Issues","operationId":"Issues#ListIssues","parameters":[{"name":"accountId","in":"query","description":"Harness Account ID","allowEmptyValue":true,"required":true,"schema":{"type":"string","description":"Harness Account ID","pattern":"^[a-zA-Z0-9_-]{22}$"}},{"name":"page","in":"query","description":"Page number to fetch (starting from 0)","allowEmptyValue":true,"schema":{"type":"integer","description":"Page number to fetch (starting from 0)","default":0,"format":"int64","minimum":0}},{"name":"pageSize","in":"query","description":"Number of results per page","allowEmptyValue":true,"schema":{"type":"integer","description":"Number of results per page","default":30,"format":"int64","minimum":1,"maximum":100}},{"name":"productId","in":"query","description":"Issue product ID","allowEmptyValue":true,"schema":{"type":"string","description":"Issue product ID","pattern":"^[a-zA-Z0-9_-]{22}$"}},{"name":"key","in":"query","description":"Compression/deduplication key","allowEmptyValue":true,"schema":{"type":"string","description":"Compression/deduplication key","maxLength":512}},{"name":"excludeOccurrences","in":"query","allowEmptyValue":true,"schema":{"type":"boolean"}},{"name":"X-Api-Key","in":"header","description":"Harness personal or service access token","allowEmptyValue":true,"schema":{"type":"string","description":"Harness personal or service access token"}}],"responses":{"200":{"description":"OK response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IssuesListIssuesResponseBody"}}}},"400":{"description":"BadRequest: Bad Request response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"401":{"description":"Unauthorized: Unauthorized response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"403":{"description":"Forbidden: Forbidden response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"404":{"description":"NotFound: Not Found response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"429":{"description":"TooManyRequests: Too Many Requests response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"500":{"description":"InternalServerError: Internal Server Error response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}}}}}}}
```

## POST /api/v2/issues

> Create a new Security Issue

```json
{"openapi":"3.0.3","info":{"title":"Harness Security Test Orchestration API","version":"1.0.0"},"tags":[{"name":"Issues","description":"Access and modify Security Issues"}],"servers":[{"url":"https://app.harness.io/gateway/sto"},{"url":"http://127.0.0.1:4000"}],"security":[{"X-Api-Key_header_X-Api-Key":[],"jwt_header_Authorization":["sto_issue_edit"]}],"components":{"securitySchemes":{"X-Api-Key_header_X-Api-Key":{"type":"apiKey","name":"X-Api-Key","in":"header"},"jwt_header_Authorization":{"type":"http","scheme":"bearer"}},"schemas":{"CreateIssueRequestBody":{"type":"object","properties":{"details":{"type":"object","description":"Issue details common to all occurrences","additionalProperties":true},"epssLastModified":{"type":"string","description":"Last date the issue EPSS data was last modified"},"epssPercentile":{"type":"number","description":"EPSS percentile of the issue CVE identifier","format":"double"},"epssScore":{"type":"number","description":"EPSS score of the issue CVE identifier","format":"double"},"exemptionId":{"type":"string","description":"ID of Security Test Exemption","pattern":"^[a-zA-Z0-9_-]{22}$"},"key":{"type":"string","description":"Compression/deduplication key","maxLength":512},"keyPattern":{"type":"array","items":{"type":"string"},"description":"The pattern of fields used to generate this Security Issue's Key"},"numOccurrences":{"type":"integer","description":"Indicates the number of Occurrences on the Issue","format":"int32"},"occurrences":{"type":"array","items":{"type":"object","additionalProperties":true},"description":"Array of details unique to each occurrence"},"productId":{"type":"string","description":"The scan tool that identified this Security Issue","pattern":"^[a-zA-Z0-9_-]{22}$"},"scanId":{"type":"string","description":"The Security Scan execution that detected this Security Issue","pattern":"^[a-zA-Z0-9_-]{22}$"},"severity":{"type":"number","description":"Numeric severity, from 0 (lowest) to 10 (highest)","format":"float"},"severityCode":{"type":"string","description":"Severity code","enum":["Critical","High","Medium","Low","Info","Unassigned"]},"subproduct":{"type":"string","description":"The subproduct that identified this Security Issue"},"targetVariantName":{"type":"string","description":"Name of the associated Target and Variant","pattern":"^[a-zA-Z0-9_-]{22}$"},"title":{"type":"string","description":"Title of the Security Issue","maxLength":128},"type":{"type":"string","description":"The type of vulnerability or quality issue for this Issue","enum":["SAST","DAST","SCA","IAC","SECRET","MISCONFIG","BUG_SMELLS","CODE_SMELLS","CODE_COVERAGE","EXTERNAL_POLICY"]}},"required":["title","key","severity","severityCode","productId","details","scanId","keyPattern","id","created"]},"ExemptionRulesCreateExemptionRuleResponseBody":{"$ref":"#/components/schemas/IDResult"},"IDResult":{"type":"object","properties":{"id":{"type":"string","description":"Resource identifier","pattern":"^[a-zA-Z0-9_-]{22}$"}},"required":["id"]},"NotFound":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","default":404,"format":"int64"}},"required":["message"]}}},"paths":{"/api/v2/issues":{"post":{"tags":["Issues"],"description":"Create a new Security Issue","operationId":"Issues#CreateIssue","parameters":[{"name":"accountId","in":"query","description":"Harness Account ID","allowEmptyValue":true,"required":true,"schema":{"type":"string","description":"Harness Account ID","pattern":"^[a-zA-Z0-9_-]{22}$"}},{"name":"normalized","in":"query","description":"Indicates the Occurrences have already been normalized","allowEmptyValue":true,"schema":{"type":"boolean","description":"Indicates the Occurrences have already been normalized"}},{"name":"X-Api-Key","in":"header","description":"Harness personal or service access token","allowEmptyValue":true,"schema":{"type":"string","description":"Harness personal or service access token"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateIssueRequestBody"}}}},"responses":{"200":{"description":"OK response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExemptionRulesCreateExemptionRuleResponseBody"}}}},"400":{"description":"BadRequest: Bad Request response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"401":{"description":"Unauthorized: Unauthorized response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"403":{"description":"Forbidden: Forbidden response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"429":{"description":"TooManyRequests: Too Many Requests response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"500":{"description":"InternalServerError: Internal Server Error response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}}}}}}}
```

## GET /api/v2/issues/{id}

> Find Security Issue by ID

```json
{"openapi":"3.0.3","info":{"title":"Harness Security Test Orchestration API","version":"1.0.0"},"tags":[{"name":"Issues","description":"Access and modify Security Issues"}],"servers":[{"url":"https://app.harness.io/gateway/sto"},{"url":"http://127.0.0.1:4000"}],"security":[{"X-Api-Key_header_X-Api-Key":[],"jwt_header_Authorization":["sto_issue_view"]}],"components":{"securitySchemes":{"X-Api-Key_header_X-Api-Key":{"type":"apiKey","name":"X-Api-Key","in":"header"},"jwt_header_Authorization":{"type":"http","scheme":"bearer"}},"schemas":{"Issue":{"type":"object","properties":{"baseImageName":{"type":"string","description":"base image name of the issue"},"baselineVariantId":{"type":"string","description":"The Baseline Target Variant related to this Security Issue","pattern":"^[a-zA-Z0-9_-]{22}$"},"created":{"type":"integer","description":"Unix timestamp at which the resource was created","format":"int64"},"currentStatus":{"type":"string","description":"Current status of the Exemption","enum":["Pending","Approved","Rejected","Expired"]},"details":{"type":"object","description":"Issue details common to all occurrences","additionalProperties":true},"epssLastModified":{"type":"string","description":"Last date the issue EPSS data was last modified"},"epssPercentile":{"type":"number","description":"EPSS percentile of the issue CVE identifier","format":"double"},"epssScore":{"type":"number","description":"EPSS score of the issue CVE identifier","format":"double"},"exemptionCoverage":{"type":"string","description":"Indicates if the Security Issue was found to be Exempted or PartiallyExempted."},"exemptionId":{"type":"string","description":"ID of Security Test Exemption","pattern":"^[a-zA-Z0-9_-]{22}$"},"exemptionStatusAtScan":{"type":"string","description":"Exemption's status at the Security Scan created time","enum":["Pending","Approved","Rejected","Expired"]},"exploitability":{"type":"string","description":"Exploitability status of the issue (yes or no)"},"fallbackSeverityCode":{"type":"string","description":"Issue-table severity code used as occurrence fallback at read time; omitted from API responses","enum":["Critical","High","Medium","Low","Info","Unassigned"]},"gracePeriodDays":{"type":"integer","description":"Issue-level grace period rollup in days. Only populated when scan honorGracePeriod is enabled.","format":"int64"},"harnessAugmentation":{"type":"object","description":"Harness Augmentation details","additionalProperties":true},"id":{"type":"string","description":"Resource identifier","pattern":"^[a-zA-Z0-9_-]{22}$"},"inGrace":{"type":"boolean","description":"True when the displayed severity is grace-sheltered: at the display-max severity band, all non-exempt occurrences are in grace. Only populated when scan honorGracePeriod is enabled."},"key":{"type":"string","description":"Compression/deduplication key","maxLength":512},"numOccurrences":{"type":"integer","description":"Indicates the number of Occurrences on the Issue","format":"int32"},"occurrenceId":{"type":"integer","format":"int64","minimum":1},"occurrences":{"type":"array","items":{"type":"object","additionalProperties":true},"description":"Array of details unique to each occurrence"},"originStatus":{"type":"string","description":"The status of the origin, either 'approved' or 'unapproved'"},"origins":{"type":"array","items":{"type":"string"},"description":"The origins of the issue"},"overrides":{"type":"array","items":{"$ref":"#/components/schemas/OverrideResult"},"description":"List of issue overrides"},"overridesAtScan":{"type":"array","items":{"$ref":"#/components/schemas/OverrideResult"},"description":"List of issue overrides at scan time"},"productId":{"type":"string","description":"The scan tool that identified this Security Issue","pattern":"^[a-zA-Z0-9_-]{22}$"},"reachability":{"type":"string","description":"Reachability status of the issue (reachable or unreachable)"},"severity":{"type":"number","description":"Numeric severity, from 0 (lowest) to 10 (highest)","format":"float"},"severityCode":{"type":"string","description":"Severity code","enum":["Critical","High","Medium","Low","Info","Unassigned"]},"status":{"type":"string","description":"Indicates if the Security Issue was found to be remediated, ignored, etc.","enum":["Remediated","Compensating Controls","Acceptable Use","Acceptable Risk","False Positive","Fix Unavailable","Exempted"]},"subproduct":{"type":"string","description":"The subproduct that identified this Security Issue"},"targetId":{"type":"string","description":"The Target that this Security Issue affects","pattern":"^[a-zA-Z0-9_-]{22}$"},"targetName":{"type":"string","description":"The Name of the Target that this Security Issue affects","pattern":"^[a-zA-Z0-9_-]{22}$"},"targetType":{"type":"string","description":"The type of the Target that this Security Issue affects","enum":["container","repository","instance","configuration"]},"targetVariantId":{"type":"string","description":"The Target Variant that this Security Issue affects","pattern":"^[a-zA-Z0-9_-]{22}$"},"targetVariantName":{"type":"string","description":"Name of the associated Target and Variant","pattern":"^[a-zA-Z0-9_-]{22}$"},"title":{"type":"string","description":"Title of the Security Issue","maxLength":128},"type":{"type":"string","description":"The type of vulnerability or quality issue for this Issue","enum":["SAST","DAST","SCA","IAC","SECRET","MISCONFIG","BUG_SMELLS","CODE_SMELLS","CODE_COVERAGE","EXTERNAL_POLICY"]}},"description":"Information about a Security Issue","required":["title","key","severity","severityCode","productId","details","id","created"]},"OverrideResult":{"type":"object","properties":{"created":{"type":"integer","description":"Unix timestamp at which the resource was created","format":"int64"},"fieldName":{"type":"string","description":"Name of the field that is being overridden"},"impactedTargetId":{"type":"string","description":"ID of the impacted target"},"originalFieldValue":{"type":"string","description":"Original value of the field that is being overridden"},"overrideFieldValue":{"type":"string","description":"Value of the field that is being overridden","maxLength":1024},"overrideId":{"type":"string","description":"Override Id of the override"},"reason":{"type":"string","description":"Text describing why this override is necessary","maxLength":1024},"requesterEmail":{"type":"string","description":"Email of the user who requested this Exemption"},"requesterId":{"type":"string","description":"User ID of the user who requested the override"},"requesterName":{"type":"string","description":"Name of the user who requested this Exemption"}},"required":["fieldName","originalFieldValue","overrideFieldValue","reason","created"]},"NotFound":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","default":404,"format":"int64"}},"required":["message"]}}},"paths":{"/api/v2/issues/{id}":{"get":{"tags":["Issues"],"description":"Find Security Issue by ID","operationId":"Issues#FindIssueById","parameters":[{"name":"accountId","in":"query","description":"Harness Account ID","allowEmptyValue":true,"required":true,"schema":{"type":"string","description":"Harness Account ID","pattern":"^[a-zA-Z0-9_-]{22}$"}},{"name":"orgId","in":"query","description":"Harness Organization ID","allowEmptyValue":true,"required":true,"schema":{"type":"string","description":"Harness Organization ID","pattern":"^[A-Za-z_][A-Za-z0-9_]*$","maxLength":128}},{"name":"projectId","in":"query","description":"Harness Project ID","allowEmptyValue":true,"required":true,"schema":{"type":"string","description":"Harness Project ID","pattern":"^[A-Za-z_][A-Za-z0-9_]*$","maxLength":128}},{"name":"targetId","in":"query","description":"Associated Target ID","allowEmptyValue":true,"schema":{"type":"string","description":"Associated Target ID","pattern":"^[a-zA-Z0-9_-]{22}$"}},{"name":"id","in":"path","description":"The ID of the Security Issue to retrieve","required":true,"schema":{"type":"string","description":"The ID of the Security Issue to retrieve","pattern":"^[a-zA-Z0-9_-]{22}$"}},{"name":"X-Api-Key","in":"header","description":"Harness personal or service access token","allowEmptyValue":true,"schema":{"type":"string","description":"Harness personal or service access token"}}],"responses":{"200":{"description":"OK response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Issue"}}}},"400":{"description":"BadRequest: Bad Request response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"401":{"description":"Unauthorized: Unauthorized response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"403":{"description":"Forbidden: Forbidden response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"404":{"description":"NotFound: Not Found response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"429":{"description":"TooManyRequests: Too Many Requests response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"500":{"description":"InternalServerError: Internal Server Error response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}}}}}}}
```

## PUT /api/v2/issues/{id}

> Update an existing Security Issue

```json
{"openapi":"3.0.3","info":{"title":"Harness Security Test Orchestration API","version":"1.0.0"},"tags":[{"name":"Issues","description":"Access and modify Security Issues"}],"servers":[{"url":"https://app.harness.io/gateway/sto"},{"url":"http://127.0.0.1:4000"}],"security":[{"X-Api-Key_header_X-Api-Key":[],"jwt_header_Authorization":["sto_issue_edit"]}],"components":{"securitySchemes":{"X-Api-Key_header_X-Api-Key":{"type":"apiKey","name":"X-Api-Key","in":"header"},"jwt_header_Authorization":{"type":"http","scheme":"bearer"}},"schemas":{"UpdateIssueRequestBody":{"type":"object","properties":{"numOccurrences":{"type":"integer","description":"Indicates the number of Occurrences on the Issue","format":"int32"},"occurrences":{"type":"array","items":{"type":"object","additionalProperties":true},"description":"Array of details unique to each occurrence"},"scanId":{"type":"string","description":"The Security Scan execution that detected this Security Issue","pattern":"^[a-zA-Z0-9_-]{22}$"},"type":{"type":"string","description":"The type of vulnerability or quality issue for this Issue","enum":["SAST","DAST","SCA","IAC","SECRET","MISCONFIG","BUG_SMELLS","CODE_SMELLS","CODE_COVERAGE","EXTERNAL_POLICY"]}},"required":["occurrences","scanId"]},"NotFound":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","default":404,"format":"int64"}},"required":["message"]}}},"paths":{"/api/v2/issues/{id}":{"put":{"tags":["Issues"],"description":"Update an existing Security Issue","operationId":"Issues#UpdateIssue","parameters":[{"name":"accountId","in":"query","description":"Harness Account ID","allowEmptyValue":true,"required":true,"schema":{"type":"string","description":"Harness Account ID","pattern":"^[a-zA-Z0-9_-]{22}$"}},{"name":"id","in":"path","description":"The ID of the Security Issue to update","required":true,"schema":{"type":"string","description":"The ID of the Security Issue to update"}},{"name":"X-Api-Key","in":"header","description":"Harness personal or service access token","allowEmptyValue":true,"schema":{"type":"string","description":"Harness personal or service access token"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateIssueRequestBody"}}}},"responses":{"204":{"description":"Update succeeded."},"400":{"description":"BadRequest: Bad Request response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"401":{"description":"Unauthorized: Unauthorized response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"403":{"description":"Forbidden: Forbidden response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"404":{"description":"NotFound: Not Found response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"429":{"description":"TooManyRequests: Too Many Requests response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"500":{"description":"InternalServerError: Internal Server Error response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}}}}}}}
```

## POST /api/v2/issues/{id}/augment-remediation

> Use AI to augment the remediation steps for this Security Issue

```json
{"openapi":"3.0.3","info":{"title":"Harness Security Test Orchestration API","version":"1.0.0"},"tags":[{"name":"Issues","description":"Access and modify Security Issues"}],"servers":[{"url":"https://app.harness.io/gateway/sto"},{"url":"http://127.0.0.1:4000"}],"security":[{"X-Api-Key_header_X-Api-Key":[],"jwt_header_Authorization":["sto_issue_view"]}],"components":{"securitySchemes":{"X-Api-Key_header_X-Api-Key":{"type":"apiKey","name":"X-Api-Key","in":"header"},"jwt_header_Authorization":{"type":"http","scheme":"bearer"}},"schemas":{"IssuesAugmentRemediationRequestBody":{"type":"object","properties":{"connectorId":{"type":"string"},"dataflow":{"type":"object","description":"CPG dataflow object from the /dataflow API. Passed directly to enrich LLM prompts for SAST issues.","additionalProperties":true},"occurrenceId":{"type":"integer","format":"int64","minimum":1},"referenceId":{"type":"string"},"scanId":{"type":"string","description":"The Scan ID to use as context for the Security Issue to augment","pattern":"^[a-zA-Z0-9_-]{22}$"},"userSnippet":{"type":"string","description":"The user-supplied code snippet","minLength":1,"maxLength":1024}},"required":["scanId","occurrenceId"]},"IssuesIssuesAugmentRemediationResponseBody":{"$ref":"#/components/schemas/AugmentRemediationResult"},"AugmentRemediationResult":{"type":"object","properties":{"metadata":{"$ref":"#/components/schemas/AugmentRemediationMetadata"},"remediationCode":{"type":"string"},"remediationSections":{"$ref":"#/components/schemas/RemediationSections"},"repoContent":{"type":"string"}},"required":["remediationSections","metadata"]},"AugmentRemediationMetadata":{"type":"object","properties":{"warnings":{"type":"array","items":{"$ref":"#/components/schemas/AugmentRemediationWarning"}}},"required":["warnings"]},"AugmentRemediationWarning":{"type":"object","properties":{"message":{"type":"string"},"source":{"type":"string"}},"required":["source","message"]},"RemediationSections":{"type":"object","properties":{"attackScenario":{"type":"string"},"furtherConsiderations":{"type":"string"},"references":{"type":"string"},"remediationSteps":{"type":"string"},"rootCauseAnalysis":{"type":"string"},"secureCodingPattern":{"type":"string"},"taintPathAnalysis":{"type":"string"},"testCases":{"type":"string"},"verificationChecklist":{"type":"string"},"vulnerabilityOverview":{"type":"string"}}},"NotFound":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","default":404,"format":"int64"}},"required":["message"]}}},"paths":{"/api/v2/issues/{id}/augment-remediation":{"post":{"tags":["Issues"],"description":"Use AI to augment the remediation steps for this Security Issue","operationId":"Issues#IssuesAugmentRemediation","parameters":[{"name":"accountId","in":"query","description":"Harness Account ID","allowEmptyValue":true,"required":true,"schema":{"type":"string","description":"Harness Account ID","pattern":"^[a-zA-Z0-9_-]{22}$"}},{"name":"orgId","in":"query","description":"Harness Organization ID","allowEmptyValue":true,"schema":{"type":"string","description":"Harness Organization ID","pattern":"^[A-Za-z_][A-Za-z0-9_]*$","maxLength":128}},{"name":"projectId","in":"query","description":"Harness Project ID","allowEmptyValue":true,"schema":{"type":"string","description":"Harness Project ID","pattern":"^[A-Za-z_][A-Za-z0-9_]*$","maxLength":128}},{"name":"taintPathOnly","in":"query","description":"If true, return only taintPathAnalysis. If false/absent, return all sections except taintPathAnalysis.","allowEmptyValue":true,"schema":{"type":"boolean","description":"If true, return only taintPathAnalysis. If false/absent, return all sections except taintPathAnalysis."}},{"name":"skipCodeFixes","in":"query","description":"If true, skip the code-fix AI call only; still generate remediation sections. Omits remediationCode from the result. Used when rem-agent PRs already exist for the issue.","allowEmptyValue":true,"schema":{"type":"boolean","description":"If true, skip the code-fix AI call only; still generate remediation sections. Omits remediationCode from the result. Used when rem-agent PRs already exist for the issue."}},{"name":"id","in":"path","description":"The ID of the Security Issue to augment","required":true,"schema":{"type":"string","description":"The ID of the Security Issue to augment","pattern":"^[a-zA-Z0-9_-]{22}$"}},{"name":"X-Api-Key","in":"header","description":"Harness personal or service access token","allowEmptyValue":true,"schema":{"type":"string","description":"Harness personal or service access token"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IssuesAugmentRemediationRequestBody"}}}},"responses":{"200":{"description":"OK response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IssuesIssuesAugmentRemediationResponseBody"}}}},"400":{"description":"BadRequest: Bad Request response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"401":{"description":"Unauthorized: Unauthorized response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"403":{"description":"Forbidden: Forbidden response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"429":{"description":"TooManyRequests: Too Many Requests response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"500":{"description":"InternalServerError: Internal Server Error response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}}}}}}}
```
